<?php
require_once (PATH_TABLES . "activity/quotation/QuotationDetailTable.php") ;
require_once (PATH_MODELS . "base/MasterBase.php") ;

class QuotationDetailClass extends MasterBase {
	function __construct($db) {
		$this->db 		= $db ;
		$this->tbl 		= QuotationDetailTable::C_TABLE ;
		$this->fldid 	= QuotationDetailTable::C_QUOTATION_ID ;
	}
	function __destruct() {
	}

	function getQuotationDetail($id){
        $sql = "SELECT * FROM " ;
        $sql .= QuotationDetailTable::C_TABLE . " WHERE " . QuotationDetailTable::C_QUOTATION_ID . " = " . $id;
        
        $rows = $this->db->getTable($sql);

        if(!is_null($rows) && count($rows) > 0){
            return $rows;
        }
        
        return null;
    }
    
}
?>